﻿using System;
using System.Windows;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace WpfUnboundColumn
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainWindow_Loaded);
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            ObservableCollection<DataGridItem> data = new ObservableCollection<DataGridItem>();

            for (int i = 0; i < 15; i++)
            {
                data.Add(new DataGridItem()
                {
                    FIO = "fio" + i,
                    EditIsEnabled = i % 2 == 0
                });
            }

            this.xamDataGrid1.DataSource = data;
        }
    }


    public class DataGridItem : INotifyPropertyChanged
    {
        string fio;
        bool editisenabled;

        public string FIO
        {
            get
            {
                return fio;
            }
            set
            {
                fio = value;
                RaisePropertyChanged("FIO");
            }
        }
        public bool EditIsEnabled
        {
            get
            {
                return editisenabled;
            }
            set
            {
                editisenabled = value;
                RaisePropertyChanged("EditIsEnabled");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
